package com.uavps.system.domain.dto;

import java.math.BigDecimal;

public class PlatformUavDTO {
    private BigDecimal longitude;
    private BigDecimal latitude;
    private BigDecimal altitude;
    private BigDecimal eastSpeed;
    private BigDecimal northSpeed;
    private BigDecimal skySpeed;

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public BigDecimal getAltitude() {
        return altitude;
    }

    public void setAltitude(BigDecimal altitude) {
        this.altitude = altitude;
    }

    public BigDecimal getEastSpeed() {
        return eastSpeed;
    }

    public void setEastSpeed(BigDecimal eastSpeed) {
        this.eastSpeed = eastSpeed;
    }

    public BigDecimal getNorthSpeed() {
        return northSpeed;
    }

    public void setNorthSpeed(BigDecimal northSpeed) {
        this.northSpeed = northSpeed;
    }

    public BigDecimal getSkySpeed() {
        return skySpeed;
    }

    public void setSkySpeed(BigDecimal skySpeed) {
        this.skySpeed = skySpeed;
    }

    @Override
    public String toString() {
        return "PlatformUavDTO{" +
                "longitude=" + longitude +
                ", latitude=" + latitude +
                ", altitude=" + altitude +
                ", eastSpeed=" + eastSpeed +
                ", northSpeed=" + northSpeed +
                ", skySpeed=" + skySpeed +
                '}';
    }
}
